import { NpmOptions } from '../../interfaces/npm-controller.interface';
export declare class NpmController {
    private readonly registry;
    private npmRcPath;
    private options;
    constructor({ cwd, registry, token, ...options }: NpmOptions);
    install(args: string[]): Promise<void>;
    publish(): Promise<void>;
    uninstall(args: string[]): Promise<void>;
    private runNpm;
    private runNpmWithRc;
    private runNpmCommands;
    private createNpmRc;
    private removeNpmRc;
    private generateNpmConfig;
    private runNpmProcess;
}
